Bug 1090843 - Error boundary event on service task has wrong attachedToRef identifier
Summary: Error boundary event on service task has wrong attachedToRef identifier
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 09:53 UTC by Ivo Bek
Modified: 2020-03-27 19:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:44:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivo Bek 2014-04-24 09:53:27 UTC
Description of problem:

If I attach an error boundary event to a service task, configure it, and run the process, I will get the following exception:

java.lang.IllegalArgumentException : Could not find node to attach to: bpmn20:ServiceTask_1]]

That's because BPMN Designer will generate the following element:

<bpmn2:boundaryEvent id="BoundaryEvent_1" name="Forbidden client error" attachedToRef="bpmn20:ServiceTask_1">

The attribute attachedToRef has to contain only "ServiceTask_1" without the prefix "bpmn20:".

This error can be only fixed manually in XML editor and every change in the process definition requires the fix of attachedToRef attribute.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Robert (Bob) Brodt 2014-09-02 19:00:00 UTC
It looks like this is fixed - the attachedToRef QName is no longer qualified with a prefix.

Comment 3 Marek Baluch 2014-10-06 08:27:23 UTC
Verified on JBDSIS 8.0.0.Alpha2


Note You need to log in before you can comment on or make changes to this bug.